How does the cloud affect the everyday linux user?
================================================================================
### Introduction ###

Cloud computing is one of those terms you hear about and see all the time whether it is in the national newspapers, online news websites, podcasts, technical blogs, technical news sites or on radio and television.

It is a fairly woolly term that encompasses so many things but what exactly is it?

> **Cloud computing** is a term used to refer to a model of network computing where a program or application runs on a connected server or servers rather than on a local computing device such as a PC, tablet or smartphone. Like the traditional client-server model or older mainframe computing,[1] a user connects with a server to perform a task. The difference with cloud computing is that the computing process may run on one or many connected computers at the same time, utilizing the concept of virtualization. With virtualization, one or more physical servers can be configured and partitioned into multiple independent “virtual” servers, all functioning independently and appearing to the user to be a single physical device. Such virtual servers are in essence disassociated from their physical server, and with this added flexibility, they can be moved around and scaled up or down on the fly without affecting the end user. The computing resources have become “granular”, which provides end user and operator benefits including on-demand self-service, broad access across multiple devices, resource pooling, rapid elasticity and service metering capability.[2]

The above quote was obviously taken from Wikipedia.

In the past we either used dumb terminals to connect to a mainframe or more recently desktop computers connected to applications on in-house servers which in turn connected to databases also kept on site.

The management of the desktops, applications and servers were all local and all had to be supported by the company who owned them.

Whilst this might be great for software houses it isn’t good business for other companies such as banks, insurance companies and oil companies. Information Technology is not a banking function in the same way catering isn’t a function of drilling oil out of the ground.

Large companies have long since outsourced many functions to dedicated companies. For example outside catering companies provide the staff canteen and we all know about the offshore call centres handling customer calls for the banks.

IT has also become an offshore function with a number of support and development functions shipped out to China, India, Malaysia and Eastern Europe.

Cloud computing is different to the typical model in that it is all about virtualisation. It is about putting applications on virtual servers which could all be in one location or could be thousands of miles apart but the point is it doesn’t matter because it is somebody else’s job to make sure they work.

> In common usage the term “the cloud” has become a shorthand way to refer to cloud computing infrastructure.[4] The term came from the cloud symbol that network engineers used on network diagrams to represent the unknown (to them) segments of a network.[5] Marketers have further popularized the phrase “in the cloud” to refer to software, platforms and infrastructure that are sold “as a service”, i.e. remotely through the Internet.

This article is therefore all about the cloud and what it means for the everyday linux user and what it can do for you and what, if any, pitfalls are there.

From an end user and home user point of view, cloud computing has basically come to mean any service that is hosted online.

So here goes, which cloud services are useful for an everyday linux user?

### Email ###

I would be very surprised if you are reading this and you don’t have an email account.

PC Advisor magazine analysed the top 6 emails services back in March, 2014 consisting of Outlook, GMail, Yahoo, iCloud, AOL and GMX.

### Office Suites ###

As well as an email client one of the most commonly used tools required by everyone is an office suite.

In the past people would toddle off down to PC World, buy a computer and come home with a great big machine and half a dozen CDs containing 5 programs you definitely won’t use and Microsoft Works which was a cheap and virtually useless cut down version of Microsoft Office.

Now you don’t even need an office suite on your computer even though there are some great free choices out there including LibreOffice and Kingsoft.

The obvious choices are of course Google Docs and Office 365. Does Office 365 work for Linux? Well this article from PC Pro in 2012 seems to suggest that it does.

![](http://www.linuxnews.pro/wp-content/uploads/2014/06/office365_1.png)

I don’t believe everything I read though so I signed up to Office 365 to see what would happen.

Signing up was free for a month and I was presented with a list of online applications that I could use which included Word, Excel and Outlook.

![](http://www.linuxnews.pro/wp-content/uploads/2014/06/office365_2.png)

All looked to be going well. I started Microsoft Word, chose a template to use and then of course it didn’t work at all.

Office 365 isn’t yet supported on Linux and to be honest you don’t need it. Move on.

![](http://www.linuxnews.pro/wp-content/uploads/2014/06/office365_3.png)

Google Docs works and for home use it is perfect. There are hundreds of templates for the word processing and presentation tools and the spreadsheet application does most things although it doesn’t really replace Excel because you haven’t got hundreds of wannabe developers creating naff macros and VBA scripts everywhere.

![](http://www.linuxnews.pro/wp-content/uploads/2014/06/zoho_1.png)

Another alternative to Office 365 is Zoho.

Similar to Google Docs, Zoho includes a word processor, spreadsheet tool, presentation tool and mail.

There are finance and CRM tools as well.

![](http://www.linuxnews.pro/wp-content/uploads/2014/06/zoho_2.png)

The interface for the tools is actually very nice and clean.

Services such as Google Docs and Zoho also give you the power of collaboration.

Documents can be shared and worked on by different people in different locations.

This site provides a good list of alternative choices to Google Docs and Zoho.

### Online File Storage ###

Another good service provided by Google Docs and Zoho is the ability to store the documents and files you create online.

There are other services however such as Dropbox that are used to exclusively store your documents in the cloud.

The benefit of storing files with services like Dropbox is that if your house is burgled or catches fire then you have an offshore backup that remains intact. You can also access your files anywhere.

Dropbox is free for up to 2 gigabytes of use. If you have a lot more data, and most of us do nowadays, then there is a $ 9.99 monthly plan that is available allowing for 100 gigabytes. There is also a business version available from $ 15 a month.

There are of course alternatives to Dropbox and this site provides a list of the best online backup solutions.

### Photos ###

Since the introduction of digital cameras and more recently smart phones, more and more of us have memory cards full of photos.

I bet that at some point or other that you have lost photos because your phone died and the photos were on the phone and not the memory card or you lost your phone losing pictures of your child’s sports day or another important occasion.

Losing a phone is never a good thing. If you are clever you will have set up some sort of security because most people have their phones synchronised with their email accounts, Facebook, Twitter and even online banking.

All it takes to fix a lost phone is to change the passwords to all of the above accounts but lost photos are just not possible to recover and are a little bit more upsetting when lost.

One solution of course is to backup to your computer. This is of course a good first step but occasionally laptops break as well and you are back to square one.

Online photo storage sites are great resources because not only do they keep your photos safe you can also share them with whoever you choose to, eliminating the need to get 5 copies of the same photo developed to send to mum, nan, sister, aunty and mother-in-law.

The solution I like to use is Google’s Picasa but many of you will have heard of services like Flickr as well.

Lifehacker has a list of the five best photo sharing services.

Remember though that just because they are called photo sharing services doesn’t mean you have to share them. You can keep them just to yourself.

### Music ###

The first record that I was ever given was a 12 inch vinyl version of “Kings of the wild frontier” by “Adam and the Ants” back in the early 1980s.

As the 1980s progressed the long play records were replaced by cassettes and just as I had accumulated a decent number of cassettes the compact disc became the thing to have.

Hundreds of compact discs later and MP3 file sharing became the norm and it even became the legal way of doing things.

Nothing sits still with technology and the future is now with audio streaming services such as Spotify.

Spotify is free to use but is supported with the inclusion of adverts. In this regard it is like having your own personal radio station where you choose the playlist. Of course you can pay a monthly fee and have the adverts removed altogether.

There are dozens of similar services including Grooveshark and last.fm.

Techradar has a list of 7 alternatives to Spotify.

### Film ###

The first film I ever watched in the Cinema was Dumbo. The first video I ever watched was “Krull” which contained a young Dulph Lundgren. The format of the video was on Beta Max. (My next door neighbour had one).

My dad came home one day with a video recorder from Radio Rentals and my sister and I used to take it in turns to pick a video to hire from the video store. I remember my first choice being “The Black Hole”.

As with music time moves on. Just as you get large units full of movies, some genius comes along and develops DVDs and then they come out with Bluerays.

Now of course video streaming is the order of the day especially if you have a decent enough internet connection.

The most commonly known services are Netflix and Lovefilm.

This website has a list of good alternatives to Netflix. Not all of these services (including Netflix) work seamlessly on Linux.

### Gaming ###

Music, films and now gaming have moved to the online arena.

Gaming is of course more difficult. Music is relatively low cost in terms of bandwidth and although films require a little more, the stream just needs to remain steady to get a clear picture.

Games need to run at a consistently high frame rate to be playable and unless you have a decent connection it probably isn’t even worth trying.

Current services offering a cloud gaming service include OnLive and StreamMyGame.

This site contains a list of 6 online gaming services to rival OnLive.

### Pitfalls ###

Cloud computing isn’t free from issues.

There is the obvious problem of hacking. If someone gets access to your online banking or your email then you have a real problem.

What about online file storage? There is currently the high profile case of Megaupload.com.

Megaupload.com was essentially a file storage site for storing large files. The problem is that a lot of people used the service to share copyright material and the US authorities came down like a ton of bricks and the service was shut down.

Now a lot of people losing files would perhaps be expecting the inevitable but what about people who genuinely did nothing wrong. Their data has been lost. The US authorities refusing to give it back.

Finally there is the subject of service maintenance. If your email went down for a day could you cope? What about 3 days? What about a month? You are at the mercy of the service provider.

A lot has been made about large companies losing data and there has also been a lot of noise regarding heartbleed which is a vulnerability found in SSL left unpatched for years.

If you have services hosted for you online then you are relying on technical support staff to do their job properly and if they don’t you could be at the mercy of hackers, hardware failures and poor backup and recovery maintenance.

### Summary ###

Cloud computing has really become the buzz term for any online service. Your web browser is a client connecting to a server or clusters of servers hosted anywhere in the world. The point is that you don’t care. You don’t need to know.

Generally speaking I have barely touched the surface. We all use the cloud everyday and most of us don’t even think about it.

How does the cloud affect the everyday linux user? It turns out quite a bit.

Is the cloud a good or bad thing? Neither. Each service has to be judged on it’s own merits.

The term “The Cloud” is just something marketing people and the technical press get excited about. Anyone remember when they kept using the term “Web 2.0″?

Thankyou for reading.

--------------------------------------------------------------------------------

via: http://www.linuxnews.pro/how-does-the-cloud-affect-the-everyday-linux-user/

译者：[译者ID](https://github.com/译者ID) 校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出